package com.pms.ocp.model.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

@ApiModel(value = "服务树返回参数")
@Data
public class ApiTreeGroupDto {

    @ApiModelProperty("一级")
    private List<OneTreeUpList> oneList;


    @ApiModelProperty("二级")
    private List<TwoDownList> twoList;

    @ApiModelProperty("三级")
    private List<ThreeTreeList> ThreeList;

    public List<OneTreeUpList> getOneupList() {
        return oneList;
    }

    public void setOneupList(List<OneTreeUpList> oneupList) {
        this.oneList = oneupList;
    }

    public List<TwoDownList> getTwoList() {
        return twoList;
    }

    public void setTwoList(List<TwoDownList> twoList) {
        this.twoList = twoList;
    }

    public List<ThreeTreeList> getThreeList() {
        return ThreeList;
    }

    public void setThreeList(List<ThreeTreeList> threeList) {
        ThreeList = threeList;
    }
}
